libftdi 0.20

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Members

Classes | Public Member Functions | List of all members
Ftdi::Eeprom Class Reference

Device EEPROM. More...

`#include <ftdi.hpp>`

## Classes
class | Private

## Public Member Functions
| Eeprom (Context *parent)
| ~Eeprom ()
void | init_defaults ()
void | set_size (int size)
int | size (unsigned char *eeprom, int maxsize)
int | chip_id (unsigned int *chipid)
int | build (unsigned char *output)
int | read (unsigned char *eeprom)
int | write (unsigned char *eeprom)
int | read_location (int eeprom_addr, unsigned short *eeprom_val)
int | write_location (int eeprom_addr, unsigned short eeprom_val)
int | erase ()

## Detailed Description

Device EEPROM.

Definition at line 149 of file ftdi.hpp.

## Constructor & Destructor Documentation

Ftdi::Eeprom::Eeprom | ( | Context * | parent | ) |

Definition at line 386 of file ftdi.cpp.

References Ftdi::Context::context().

Ftdi::Eeprom::~Eeprom | ( |  | ) |

Definition at line 392 of file ftdi.cpp.

## Member Function Documentation

void Ftdi::Eeprom::init_defaults | ( |  | ) |

Definition at line 396 of file ftdi.cpp.

References ftdi_eeprom_initdefaults().

void Ftdi::Eeprom::set_size | ( | int | size | ) |

Definition at line 401 of file ftdi.cpp.

References ftdi_eeprom_setsize().

int Ftdi::Eeprom::size | ( | unsigned char * | eeprom,
|  | int | maxsize
| ) |  |

Definition at line 406 of file ftdi.cpp.

References ftdi_read_eeprom_getsize().

int Ftdi::Eeprom::chip_id | ( | unsigned int * | chipid | ) |

Definition at line 411 of file ftdi.cpp.

References ftdi_read_chipid().

int Ftdi::Eeprom::build | ( | unsigned char * | output | ) |

Definition at line 416 of file ftdi.cpp.

References ftdi_eeprom_build().

int Ftdi::Eeprom::read | ( | unsigned char * | eeprom | ) |

Definition at line 421 of file ftdi.cpp.

References ftdi_read_eeprom().

int Ftdi::Eeprom::write | ( | unsigned char * | eeprom | ) |

Definition at line 426 of file ftdi.cpp.

References ftdi_write_eeprom().

int Ftdi::Eeprom::read_location | ( | int | eeprom_addr,
|  | unsigned short * | eeprom_val
| ) |  |

Definition at line 431 of file ftdi.cpp.

References ftdi_read_eeprom_location().

int Ftdi::Eeprom::write_location | ( | int | eeprom_addr,
|  | unsigned short | eeprom_val
| ) |  |

Definition at line 436 of file ftdi.cpp.

References ftdi_write_eeprom_location().

int Ftdi::Eeprom::erase | ( |  | ) |

Definition at line 441 of file ftdi.cpp.

References ftdi_erase_eeprom().

The documentation for this class was generated from the following files:

- ftdi.hpp
- ftdi.cpp